class
	OO_DATA_CLASS

inherit
	OO_CLASS

create
	make

feature {NONE}

	make (a_node: AST_STRUCT_DECLARATION)
		require
			a_node /= Void
		do
			node := a_node
			create superclasses.make
		end

feature {ANY}

	name: STRING_8
		do
			Result := node.identifier
		end

	set_name (a_name: STRING_8)
		do
			node.identifier.make_from_string (a_name)
		end

	is_system_source: BOOLEAN
		do
			Result := node.source_info.is_system_source
		end

	node: AST_STRUCT_DECLARATION

invariant
	node /= Void

end
